Bug 65816 - mcount profiling has apparent problem on IA64
mcount profiling has apparent problem on IA64
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 19:55 EDT by Suresh Rao
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 14:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
details showing ia32 vs. ia64 glibc profile_counter code differences (2.25 KB, text/plain)
2002-05-31 20:01 EDT, Suresh Rao
no flags Details

  None (edit)
Description Suresh Rao 2002-05-31 19:55:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
It appears IA-64 Linux profil_counter expects three parameters, but pthread 
library only sets two parameters for profil_counter. It looks like this might 
be a discrepancy between the ia32 and IPF profil_counter functions. (see 
attached details)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see attached code
	

Additional info:
Comment 1 Suresh Rao 2002-05-31 20:01:25 EDT
Created attachment 59184 [details]
details  showing ia32 vs. ia64 glibc profile_counter code differences
Comment 2 Mark J. Cox (Product Security) 2003-01-30 14:38:57 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-022.html

Note You need to log in before you can comment on or make changes to this bug.